/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 * 
 * You should have find a copy of NFSChina License. If not, please contact us 
 * by email <os_support@nfschina.com>  
 * 
**/
#define SM_AQTJ_INFO "/etc/sm_aqtj_info"

struct sm_aqtj_info
{
	char app_name[128];
	char appt_version[128];
};

void register_aqtj_info(char *vendor, char *version);
int uninstall_aqtj_info();
struct sm_aqtj_info *get_aqtj_info();
int write_aqtj_info(const char *pathName, /* 存储策略信息的文件 */
                             struct sm_aqtj_info *recv /* 待写入文件的结构体策略*/);
