/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 * 
 * You should have find a copy of NFSChina License. If not, please contact us 
 * by email <os_support@nfschina.com>  
 * 
**/
#ifndef _SM_BGSET_H_
#define _SM_BGSET_H_

#ifdef __cplusplus
extern "C" {
#endif

int set_global_background (const char *picture_path);

char * get_global_background (void);

int unset_global_background (void);

int use_global_background (void);

int is_global_background_mode (void);

#ifdef __cplusplus
}
#endif

#endif